<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Hero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="hero">
    <div class="hero-text">
      <SlpTypography tag="h1" variant="heading1-bold" class="slp-mb-16">{{
        data.title
      }}</SlpTypography>
      <SlpTypography tag="h5" variant="body1" class="slp-mb-24">
        {{ data.text }}
      </SlpTypography>
      <SlpButton
        v-if="data.primary_btn"
        variant="primary"
        :data-ga-name="data.primary_btn.data_ga_name || 'free trial'"
        :data-ga-location="data.primary_btn.data_ga_location || 'header'"
        :href="data.primary_btn.url || '/free-trial/'"
        :aria-label="`${data.primary_btn.data_ga_location || 'header'} ${
          data.primary_btn.data_ga_name || 'free trial'
        }`"
      >
        {{ data.primary_btn.text || 'Get free trial' }}
      </SlpButton>
      <div class="lesser_buttons">
        <SlpButton
          v-if="data.secondary_btn"
          variant="tertiary"
          :href="data.secondary_btn.url || '/demo/'"
          :data-ga-name="data.secondary_btn.data_ga_name || 'demo'"
          :data-ga-location="data.secondary_btn.data_ga_location || 'header'"
        >
          {{ data.secondary_btn.text || 'Watch a demo' }}
          <SlpIcon
            class="slp-ml-8"
            name="chevron-lg-right"
            variant="product"
            slp-color="primary-200"
            alt="Chevron Right Icon"
          />
        </SlpButton>
        <SlpButton
          v-if="data.tertiary_btn"
          variant="tertiary"
          :href="data.tertiary_btn.url || '/sales//'"
          :data-ga-name="data.tertiary_btn.data_ga_name || 'Talk to an expert'"
          :data-ga-location="data.tertiary_btn.data_ga_location || 'header'"
        >
          {{ data.tertiary_btn.text || 'Talk to an expert' }}
          <SlpIcon
            class="slp-ml-8"
            name="chevron-lg-right"
            variant="product"
            slp-color="primary-200"
            alt="Chevron Right Icon"
          />
        </SlpButton>
      </div>
    </div>
    <div class="hero-background__mobile"></div>
    <div class="hero-background">
      <div class="hero-background__image">
        <img
          v-if="data.image.rounded"
          :src="data.image.url"
          :alt="data.image.alt"
          class="hero-background__image--rounded"
        />
        <img
          v-if="data.image.cornered"
          :src="data.image.url"
          :alt="data.image.alt"
          class="hero-background__image--cornered"
        />
        <img
          v-else
          :src="data.image.url"
          :alt="data.image.alt"
          class="hero-background__image--infinity"
        />
      </div>
    </div>
  </section>
</template>

<style scoped lang="scss">
.hero {
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: space-around;

  @media (min-width: $breakpoint-md) {
    min-height: 40rem;
    align-items: center;
  }

  &-text {
    z-index: 100;
    margin: 0 $spacing-16;
    padding-top: $spacing-48;

    @media (min-width: $breakpoint-md) {
      width: 1170px;
    }

    a {
      @media (max-width: $breakpoint-md) {
        width: 100%;
        display: flex;
        justify-content: center;
      }
    }

    h5 {
      font-size: $text-heading-5-mobile;
      line-height: $line-height-heading-5-mobile;
    }

    .slp-btn-tertiary:last-child {
      padding-left: 0;
    }

    .lesser_buttons {
      margin-top: 8px;
    }
  }

  &-background {
    position: absolute;
    right: 0;
    background: $color-surface-800;
    height: 100%;

    &__image {
      height: 100%;
      display: flex;
      align-items: center;

      img {
        @media (max-width: $breakpoint-md) {
          display: none;
        }
      }

      &--rounded {
        border-radius: 50%;
      }

      &--infinity {
        margin-left: -8.5rem;
      }
    }
  }

  &-background__mobile {
    position: absolute;
    right: 0;
    background: $color-surface-800;
    height: 110%;
    width: 35vw;

    @media (min-width: $breakpoint-md) {
      display: none;
    }
  }
}
</style>
